<?php

namespace App\Models\Enums;

enum WeaponSubTypesEnum: int
{
    case WEAPON_SWORD = 0;
    case WEAPON_DAGGER = 1;
    case WEAPON_BOW = 2;
    case WEAPON_TWO_HANDED = 3;
    case WEAPON_BELL = 4;
    case WEAPON_FAN = 5;
    case WEAPON_ARROW = 6;
    case WEAPON_NUM_TYPES = 7;

    public function getLabel(): string
    {
        return $this->name;
    }
}
